copy ssh key to the right location
continuous-integration/drone/push Build is passing Details

This commit is contained in:
Jochen Welzel 2021-01-18 18:06:13 +01:00
parent 94ff855497
commit 8201d5c993
1 changed files with 5 additions and 5 deletions

View File

@ -2,23 +2,23 @@
CHFILENAMES=$(git diff-tree --no-commit-id --name-only $DRONE_COMMIT)
mkdir .ssh
echo $PLUGIN_KEY > .ssh/id_rsa
chmod 600 .ssh/id_rsa
mkdir /root/.ssh
echo $PLUGIN_KEY > /root/.ssh/id_rsa
chmod 600 /root/.ssh/id_rsa
echo "Changed files: $CHFILENAMES"
for file in $CHFILENAMES; do
if [[ $file == *"zone" ]]; then
echo "SCP of $file started"
scp -o StrictHostKeyChecking=no -o UserKnownHostsFile=/dev/null $file "$PLUGIN_USER"@"$PLUGIN_HOSTS":"$PLUGIN_TARGET"/$file
scp -i /root/.ssh/id_rsa -o StrictHostKeyChecking=no -o UserKnownHostsFile=/dev/null $file "$PLUGIN_USER"@"$PLUGIN_HOSTS":"$PLUGIN_TARGET"/$file
if [ $? -ne 0 ]; then
echo "SCP failed" 1>&2
exit 1
fi
ZONE=$(echo $file | sed 's/\.zone//')
echo "Reload $ZONE zone"
ssh -o StrictHostKeyChecking=no -o UserKnownHostsFile=/dev/null "PLUGIN_USER"@"$PLUGIN_HOSTS" nsd-control reload $ZONE
ssh -i /root/.ssh/id_rsa -o StrictHostKeyChecking=no -o UserKnownHostsFile=/dev/null "PLUGIN_USER"@"$PLUGIN_HOSTS" nsd-control reload $ZONE
if [ $? -ne 0 ]; then
echo "Reload of zone failed" 1>&2
exit 1